Error: Expected [object Object] to be a GraphQL schema


#1

Describe the bug
I am seeing this :point_down:

Error: Expected [object Object] to be a GraphQL schema.
--
May 24 2019 07:13:35:271    at invariant (/home/nowuser/src/node_modules/apollo-server-core/node_modules/graphql/jsutils/invariant.js:19:11)
May 24 2019 07:13:35:315    at validateSchema (/home/nowuser/src/node_modules/apollo-server-core/node_modules/graphql/type/validate.js:55:60)
May 24 2019 07:13:35:374    at assertValidSchema (/home/nowuser/src/node_modules/apollo-server-core/node_modules/graphql/type/validate.js:80:16)
May 24 2019 07:13:35:425    at Object.validate (/home/nowuser/src/node_modules/apollo-server-core/node_modules/graphql/validation/validate.js:58:35)
May 24 2019 07:13:35:445    at doRunQuery (/home/nowuser/src/node_modules/apollo-server-core/dist/runQuery.js:111:42)
May 24 2019 07:13:35:466    at /home/nowuser/src/node_modules/apollo-server-core/dist/runQuery.js:21:56
May 24 2019 07:13:35:487    at <anonymous>
May 24 2019 07:13:35:507    at process._tickCallback (internal/process/next_tick.js:188:7)

On the PlayGround, I see this :point_down:

To Reproduce
Steps to reproduce the behavior:

  1. Here’s the complete repository to clone
  2. Create a .env file that contains :point_down:
NODE_ENV="production"
ENDPOINT="https://prodpaprink-5f26e1e0b6.herokuapp.com/paprink-backend/prod"
FRONTEND_URL="."..
PROD_FRONTEND_URL="..."
GOOGLE_LOGIN_APP_ID="..."
JWT_SECRET="..."
GRAPH_ACCESS_TOKEN="..."
FB_APP_SECRET="..."
FB_APP_ID="..."
PRISMA_SECRET="..."
  1. Run now --dotenv .env
  2. Visit the deployment and see the error or check the now logs

Expected behavior
I expected the error to not appear just like it didn’t on heroku… but due to DNS problems, I am trying to host it on now.
The same code works on heroku when deployed using GitHub :point_right: https://paprink-server.herokuapp.com

Versions (please complete the following information):

  • Connector: Postgres
  • Prisma Server: 1.32.2
  • prisma CLI: prisma/1.31.1 (darwin-x64) node-v11.4.0
  • OS: OSX Mojave
  • other dependencies: prisma-client-lib, prisma-binding, graphql-yoga, graphql-cli, and graphql

Additional context
Thanks for helping :pray: